> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Playground Session

> Get a specific playground session.



## OpenAPI

````yaml /api-reference/openapi.json get /api/playground/sessions/{session_id}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/sessions/{session_id}:
    get:
      tags:
        - playground
      summary: Get Playground Session
      description: Get a specific playground session.
      operationId: get_playground_session_api_playground_sessions__session_id__get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        source:
          type: string
          title: Source
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        status:
          type: string
          title: Status
        progress:
          type: integer
          title: Progress
        row_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Row Count
        column_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Column Count
        columns:
          items:
            $ref: '#/components/schemas/ColumnMetadata'
          type: array
          title: Columns
          default: []
        file_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size Bytes
        file_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: File Names
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        cancel_requested:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cancel Requested
          default: false
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - name
        - source
        - status
        - progress
        - created_at
        - updated_at
      title: SessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnMetadata:
      properties:
        name:
          type: string
          title: Name
        dtype:
          type: string
          title: Dtype
        null_count:
          type: integer
          title: Null Count
        unique_count:
          type: integer
          title: Unique Count
        is_numeric:
          type: boolean
          title: Is Numeric
        is_categorical:
          type: boolean
          title: Is Categorical
        sample:
          items: {}
          type: array
          title: Sample
          default: []
      type: object
      required:
        - name
        - dtype
        - null_count
        - unique_count
        - is_numeric
        - is_categorical
      title: ColumnMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````